You are here: Known Vulnerabilities in Mozilla Products (Firefox 2.0.0.1) > MFSA 2006-68

Mozilla Foundation Security Advisory 2006-68

Title: Crashes with evidence of memory corruption (rv:1.8.0.9/1.8.1.1)
Impact: Critical
Announced: December 19, 2006
Reporter: Mozilla Developers
Products: Firefox, Thunderbird, SeaMonkey

Fixed in: Firefox 2.0.0.1
  Firefox 1.5.0.9
  Thunderbird 1.5.0.9
  SeaMonkey 1.0.7

Description

As part of the Firefox 2.0.0.1 and 1.5.0.9 update releases we fixed several bugs to improve the stability of the product. Some of these were crashes that showed evidence of memory corruption and we presume that at least some of these could be exploited to run arbitrary code with enough effort.

Thunderbird shares the browser engine with Firefox and could be vulnerable if JavaScript were to be enabled in mail. This is not the default setting and we strongly discourage users from running JavaScript in mail. Without further investigation we cannot rule out the possibility that for some of these an attacker might be able to prepare memory for exploitation through some means other than JavaScript, such as large images.

Workaround

Upgrade to the fixed versions. Do not enable JavaScript in Thunderbird or the mail portions of SeaMonkey.

References

Andrew Miller, David Baron, Georgi Guninski, Jesse Ruderman, Olli Pettay and Vladimir Vukicevic reported crashes in the layout engine

Igor Bukanov, Jesse Ruderman and moz_bug_r_a4 reported potential memory corruption in the JavaScript engine

Keith Victor reported that if the floating point precision of the CPU was reduced (which can happen on windows by loading a plugin which creates a Direct3D device) then it is possible that js_dtoa() will not exit and instead overwrite memory. None of the most common plugins in use do this which lowers the overall impact of this vulnerability to moderate.